[interchange/DEB_5_7_4: 6/9] don't try to start/stop Interchange when /etc/interchange/init.cfg is missing

Stefan Hornburg <[email protected]>
Newsgroups gmane.comp.web.interchange.cvs
Message-ID <[email protected]>
commit 537a442ca7665e93bca8ab831d3830fcad124826
Author: Stefan Hornburg (Racke) <[email protected]>
Date:   Wed Feb 10 11:08:54 2010 +0100

    don't try to start/stop Interchange when /etc/interchange/init.cfg is missing

 debian/interchange.init |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)
---
diff --git a/debian/interchange.init b/debian/interchange.init
index 605fb75..e218376 100644
--- a/debian/interchange.init
+++ b/debian/interchange.init
@@ -43,6 +43,12 @@ test -f $DAEMON || exit 0
 # --unix --inetmode Unix and Internet mode
 MODE="--unix"
 USER=interchange
+
+if [ ! -f /etc/interchange/init.cfg ]; then
+	echo "ERROR: /etc/interchange/init.cfg is missing."
+	exit 1
+fi
+
 . /etc/interchange/init.cfg
 
 if [ "$GPGHOME" ]; then
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.